about packaging and distribution on fedora
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 5.1.1

Description

We would like to package redmine for the fedora distribution, however we hace not found information in the sources about the

licenses with the distribution is allowed.

Related issues:

Related to Redmine - Patch #40202: Add LICENSE.txt in the root directory Closed

History

#1 - 2024-02-03 05:40 - Go MAEDA

- Category deleted (Issues)

Redmine is released under GNU General Public License v2.0.

Please see source:trunk/doc/COPYING.

#2 - 2024-02-03 05:43 - Neftali Yagua

Go MAEDA wrote in #note-1:

Redmine is released under GNU General Public License v2.0.

Please see source:trunk/doc/COPYING.

 A fille called LICENSE or LICENSE.md in the main directory is mandatory, for distribute on FEDORA, please add your license file.

#3 - 2024-02-03 05:44 - Neftali Yagua

Go MAEDA wrote in #note-1:

Redmine is released under GNU General Public License v2.0.

Please see source:trunk/doc/COPYING.

 If you prefer, I can add ir and request a pull request.

#4 - 2024-02-03 06:14 - Go MAEDA

Could you please point out the URL of a web page that describes the license file requirements for Fedora packages?

Licensing matters are important. Therefore, the decision to rename doc/COPYING to LICENSE cannot be made by me, just one of the contributors. I

think it needs to be discussed.

#5 - 2024-02-03 06:31 - Neftali Yagua

Go MAEDA wrote in #note-4:

Could you please point out the URL of a web page that describes the license file requirements for Fedora packages?

Licensing matters are important. Therefore, the decision to rename doc/COPYING to LICENSE cannot be made by me, just one of the

contributors. I think it needs to be discussed.

 https://docs.fedoraproject.org/en-US/legal/

Below I present the guidelines for preparation and distribution.

Please lead the discussion by letting me prepare the code needed for packaging.
So that it can be developed, for now, I have the green light knowing that GLP2 is the license they use and that it is among the permitted licenses.

Which paints a good picture.

Additional information can be found here.

https://docs.fedoraproject.org/en-US/packaging-guidelines/

You will find the packaging repository here:

https://pagure.io/redmine

#6 - 2024-02-03 07:12 - Go MAEDA

Thank you for providing the information.

Neftali Yagua wrote in #note-5:

You will find the packaging repository here:

https://pagure.io/redmine

 Doesn't changing %license LICENSE in spec file to %license doc/COPYING work?

https://pagure.io/redmine/blob/main/f/redmine.spec#_31

I found some examples in GitHub.

https://github.com/search?q=%22%25license+doc%2FCOPYING%22&type=code

#7 - 2024-02-03 07:23 - Neftali Yagua

Go MAEDA wrote in #note-6:

Thank you for providing the information.

Neftali Yagua wrote in #note-5:

You will find the packaging repository here:

https://pagure.io/redmine

 Doesn't changing %license LICENSE in spec file to %license doc/COPYING work?

https://pagure.io/redmine/blob/main/f/redmine.spec#_31

I found some examples in GitHub.

https://github.com/search?q=%22%25license+doc%2FCOPYING%22&type=code

 I am going to move it during packing, it is a matter of standardization, however I will move it so I can pack soon.

I will leave the ticket open for discussion as it adds an unnecessary task to packaging. However, it no longer has priority, the essential thing was to

know the license to use. You can close the ticket if you want, but you should reconsider moving the file and using the standard name, another

development group might consider packaging for other distributions and get embarrassed by not finding the license.

It is expected to be quick and easy to find the license in the source's main directory.

#8 - 2024-02-07 03:35 - Go MAEDA

- Related to Patch #40202: Add LICENSE.txt in the root directory added

#9 - 2024-06-12 11:41 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Added LICENSE.txt in r22875 (#40202).
